name: 'Rsync Deployment Action'
despriction: 'Forgejo Action for deploying code with rsync over ssh'
inputs:
  rsync_parameters:
    description: 'parameters to be passed to the rsync command'
    required: true
  path:
    description: 'the local path'
    required: false
    default: ''
  remote_path:
    description: 'the remote path'
    required: true
  remote_host:
    description: 'the remote host'
    required: true
  remote_port:
    description: 'the remote port'
    required: false
    default: 22
  remote_user:
    description: 'The remote user'
    required: true
  remote_key:
    description: 'The remote key'
    required: true
runs:
  using: 'docker'
  image: 'Dockerfile'
